import request from '@/utils/request'

// 查询商品类型列表
export function listMallGoodsClass(query) {
  return request({
    url: '/mall/mallGoodsClass/list',
    method: 'get',
    params: query
  })
}

// 查询商品类型详细
export function getMallGoodsClass(id) {
  return request({
    url: '/mall/mallGoodsClass/' + id,
    method: 'get'
  })
}

// 新增商品类型
export function addMallGoodsClass(data) {
  return request({
    url: '/mall/mallGoodsClass',
    method: 'post',
    data: data
  })
}

// 修改商品类型
export function updateMallGoodsClass(data) {
  return request({
    url: '/mall/mallGoodsClass',
    method: 'put',
    data: data
  })
}

// 删除商品类型
export function delMallGoodsClass(id) {
  return request({
    url: '/mall/mallGoodsClass/' + id,
    method: 'delete'
  })
}

// 导出商品类型
export function exportMallGoodsClass(query) {
  return request({
    url: '/mall/mallGoodsClass/export',
    method: 'get',
    params: query
  })
}